---
type: api
title: Delete a saved object
description: WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
url: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-delete-saved-objects-type-id
resource: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-delete-saved-objects-type-id
products:
  - Kibana
---

# Delete a saved object

deprecated

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/saved_objects/{type}/{id}`

#### Path parameters

- `type` (string · max length: 256) — required
  The saved object type.
- `id` (string · max length: 512) — required
  The saved object identifier.

## Description

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Deletes a single Kibana saved object by type and ID.

There is currently no complete replacement for deleting arbitrary saved objects via an HTTP API.

## Query string parameters

- `force` (boolean) — optional
  When true, force deletion of multi-namespace objects from all namespaces.

## Header parameters

- `kbn-xsrf` (string) — required
  A required header to protect against CSRF attacks

## Responses

#### `200`

A successful delete response.

`application/json`

#### `404`

Not found.

`application/json`

## Code examples

#### Console

```console
DELETE kbn://api/saved_objects/dashboard/example-dashboard-1?force=false
```

#### curl

```curl
curl \
  -X DELETE "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1?force=false" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
```

## Response examples

#### Successful delete

`application/json`

```json
{}
```

#### A not found error

`application/json`

```json
{
  "error": "Not Found",
  "message": "Saved object [dashboard/does-not-exist] not found",
  "statusCode": 404
}
```

